
Calculate Linux - Bug # 924: cl-update error on package sys-apps/calculate-toolkit

Status: Closed Priority: Normal

Author: Vincent Poencet Category: Calculate Linux Desktop

Created: 11/25/2016 Assignee:

Updated: 12/05/2016 Due date:

Subject: cl-update error on package sys-apps/calculate-toolkit

Description: Here is the end of the log :



* Collection of administration scripts for Calculate (U) sys-apps/calculate-toolkit-0.1.11 (22 KiB)

Traceback (most recent call last):

  File "/usr/lib64/python2.7/site-packages/calculate/core/server/func.py", line 682, in run

    res = method(*args)

  File "/usr/lib64/python2.7/site-packages/calculate/update/update.py", line 817, in premerge

    self._display_install_package(emerge, emergelike)

  File "/usr/lib64/python2.7/site-packages/calculate/update/update.py", line 721, in _display_install_package

    self._display_pretty_package_list(pkglist)

  File "/usr/lib64/python2.7/site-packages/calculate/update/update.py", line 707, in 

_display_pretty_package_list

    flag=install_flag))

UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-7: ordinal not in range(128)

 * UnicodeEncodeError:'ascii' codec can't encode characters in position 0-7: ordinal not in 

range(128)(calculate.update.update:707)

 * Mise à jour échouée



And thank you for your awesome work !

History

11/30/2016 10:21 am - Mikhail Hiretsky

- Status changed from New to Feedback

Fixed in calculate-utils-3.4.7.16

12/03/2016 07:12 pm - Vincent Poencet

Now i have the same error for dev-perl/DBD-mysql

12/04/2016 04:17 pm - Vincent Poencet

I was able to update directly via emerge, it seems that everything's fine after that.



Thanks

12/05/2016 11:58 am - Alexander Tratsevskiy

- Status changed from Feedback to Closed
